%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  FastKM
%global packver   1.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2
Release:          1%{?dist}%{?buildtag}
Summary:          A Fast Multiple-Kernel Method Based on a Low-Rank Approximation

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-rARPACK 
BuildRequires:    R-stats 
BuildRequires:    R-methods 
Requires:         R-CRAN-rARPACK 
Requires:         R-stats 
Requires:         R-methods 

%description
A computationally efficient and statistically rigorous fast Kernel Machine
method for multi-kernel analysis. The approach is based on a low-rank
approximation to the nuisance effect kernel matrices. The algorithm is
applicable to continuous, binary, and survival traits and is implemented
using the existing single-kernel analysis software 'SKAT' and 'coxKM'.
'coxKM' can be obtained from <https://github.com/lin-lab/coxKM>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
